> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usesink.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Plan



## OpenAPI

````yaml /openapi.json post /plans/
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /plans/:
    post:
      tags:
        - PLANS
      summary: Create Plan
      operationId: create_plan_plans__post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlanCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlanCreateResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PlanCreate:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        price_cents:
          type: integer
          title: Price Cents
        interval:
          type: string
          title: Interval
        max_seats:
          type: integer
          title: Max Seats
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
      type: object
      required:
        - name
        - price_cents
        - interval
        - max_seats
      title: PlanCreate
    PlanCreateResponse:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        price_cents:
          type: integer
          title: Price Cents
        max_seats:
          type: integer
          title: Max Seats
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - name
        - price_cents
        - max_seats
        - created_at
      title: PlanCreateResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````